服务交换 : 思科服务控制实施系统软件

SCE SCOS, PQI和SPQI安装和升级程序

2016 年 10 月 27 日 - 机器翻译
其他版本: PDFpdf | 英语 (2015 年 8 月 22 日) | 反馈

简介

本文描述步骤对升级或降级思科服务控制引擎(SCE)服务控制操作系统的(SCOS)软件、SCE应用软件(PQI) (亦称从事应用程序)和协议装箱(亦称SPQI)。

贡献用幽谷海滩和Parinda甘地, Cisco TAC工程师。

先决条件

要求

Cisco 建议您了解以下主题:

  • 思科服务控制操作系统(SCOS)
  • 思科服务控制引擎(SCE)命令行界面(CLI)
  • 思科SCE GUI

使用的组件

本文档中的信息基于以下软件和硬件版本:

备份当前SCE配置

在您尝试安装或升级前,此步骤描述如何备份当前SCE配置。

  1. 打开SCA BB控制台。

    1. 没有服务配置中Open窗口,单击不。
    2. 网络Navigatortab中,请添加SCE IP地址。(如果地址已经被添加了,请去下一步。)

      1. 用鼠标右键单击工地监督,并且选择
      2. 导航对站点>New > SCE
      3. 创建新建的SCE窗口,输入IP地址并且命名

    3. 用鼠标右键单击将升级的SCE,并且选择获取服务配置
    4. 输入用户/密码在密码管理对话框。
    5. 在配置获取后,请选择File > Save As
    6. 输入文件名,并且点击“Save”。这保存SCA BB配置(PQB)文件的复制对笔记本电脑。
  2. SCE CLI的洛金。

    1. 记录您的终端会话输出。
    2. 在使能提示符,请输入show running-config命令

  3. 重复步骤1和2更新所有SCEs。

安装或升级SCOS和PQI

SCE SCOS和PQI (请从事)应用程序可以升级与CLI或GUI。在您升级对新的SCOS前,总是请备份当前SCA BB配置(PQB)文件。

当SCE升级,确保PQB文件的最佳方法升级是推送与旧有SCA BB版本的服务简介在升级之前和获取配置从新的SCA BB版本。这样,新的SCA BB有升级版本。

与GUI的升级SCOS和PQI

此步骤描述如何升级SCOS和PQI与GUI。

  1. 在SCA BB控制台上,请去网络浏览器,并且选择将升级的SCE平台。在本例中,请选择SCE-01 14.2.3.81

  2. 用鼠标右键单击SCE设备[14.2.3.81],并且选择SCE软件安装向导

    116425-install-sce-04.jpg

  3. SCE软件安装向导出现。单击 Next

    116425-install-sce-05.jpg

  4. 在SCE IP地址窗口,请验证将升级的所有的IP地址SCE平台出现。如果需要,添加所有IP地址。

    116425-install-sce-06.jpg

  5. 输入要求的用户名和密码连接到SCE平台。单击 Next

    116425-install-sce-07.jpg

  6. 在SCE固件(PKG)安装窗口,请选择SCE固件的位置。单击 Next

    116425-install-sce-08.jpg

  7. 在SCE应用软件(PQI)安装窗口,请从本地文件选择安装SCE应用软件,浏览到您以前下载的PQI文件,并且其次单击。

    116425-install-sce-09.jpg

  8. 在Update窗口协议的装箱(SPQI),请点击跳过协议装箱更新,并且其次单击。

    116425-install-sce-10.jpg

  9. 在Update窗口的服务配置(PQB)中,请单击运用当前服务配置,并且其次单击。

    116425-install-sce-11.jpg

  10. 连通性测试窗口出现。连通性测试验证对定义设备的连接。

    116425-install-sce-12.jpg

  11. 汇总页窗口汇总您输入的信息。验证所有IP地址和文件位置正确。

    1. 单击回到编辑所有信息。
    2. 点击芬通社开始升级进程。

      116425-install-sce-13.jpg

  12. 单击 完成

升级与CLI的SCOS

此示例显示如何升级系统SCOS。

SCE> enable 10
Password: cisco
SCE#config
SCE(config)# boot system ftp://mm:mm@x.x.x.x/name.pkg
Verifying package file...
Package file verified OK.
SCE(config)# do copy running-config startup-config
script return val is 0
Extracted OK.

请使用enable (event) 10命令升级SCE平台被嵌入的固件。固件包(pkg)文件为系统验证和被检查保证它不是损坏的。在您输入copy running-config startup-config命令并且重新启动SCE设备后,实际升级发生。

如果手工转接pkg文件到设备,请保证pkg文件在/apps/data/scos目录(默认SCOS目录),在您保存运行的配置前。SCE设备在该目录盼望pkg文件查找;否则,升级发生故障。

与CLI的升级PQI

此示例显示如何升级PQI (请从事)应用程序。

SCE> enable 10
Password: cisco
SCE#config
SCE(config)#interface linecard 0
SCE(config if)#pqi uninstall file filename
SCE(config if)#pqi install file ftp://mm:mm@x.x.x.x/name.pqi
   SCE(config if)#

在您安装一个新的PQI文件防止旧有文件的累计在磁盘前的总是请运行pqi卸载文件命令。请使用显示pqi为时安装的命令查找最后已安装PQI文件的文件名。

等待大约让系统的五分钟稳定,在您输入另外的CLI前发出命令。

如果要监控稳定进程和确定,当完成时,请输入show version命令,并且寻找开始与‘管理代理程序接口的线路’。重新输入show version命令,并且注意此线形变化表明管理代理程序通过关闭和启动。当您看到管理代理程序版本编号时,系统稳定了,并且您能重新启动设备。

确定当前协议装箱版本

每个SCE SCOS版本附有默认协议装箱版本。验证当前版本和显示配置,登录到SCE CLI和输入show version命令

SCE#show version
System version: Version 3.7.0
Build time: Jun 10 2011, 21:01:04 (Change-list 680641)
Software version is: Version 3.7.0 Build 222
Cryptography class: K9
Hardware information is:
[output omitted]

SML Application information is:
Application file: /tffs0/app/en370521.sli
Application name: Engage SML Version 3.7.0 build 26
 Using Lib - PL_V3.7.0_B26 (Compatible with 3.6.5 Protocol Pack 24 build 18)
 Using Lib - Classifier_V3.7.0_B26

Application help: Entry point of Engage
Original source file: /auto/srbu-proj1-bgl/apps/users/aninatar/autoBuild/App/SML/
Engage/V3.7.0/src/com/pcube/AppTemplate/Main/template_app_main.san
Compilation date: Sat, May 26, 2012 at 02:04:03
Compiler version: SANc v3.20 Build 14 built on: Tue 08/04/2009 06:58:22.;SME
plugin v1.1
Capacity option used: 'EngageDefaultSCE8000'.

Logger status: Enabled

Platform: SCE8000
Management agent interface version: SCE Agent 3.7.0 Build 206
Software package file: ftp://ftpserver/scos-v370-b222-sce8000-k9.pkg

ILOAKBTS1  uptime is 27 weeks, 2 days, 13 hours, 49 minutes, 36 seconds

ILOAKBTS1#

安装SPQI

协议装箱升级

SCE软件升级向导允许您安装协议装箱(SPQI) :

  1. 双击在管理客户端桌面的SCA BB控制台版本3.7.0图标为了打开SCA BB控制台。

  2. 选择网络浏览器选项卡。

  3. 用鼠标右键单击将升级的SCE平台。

    116425-install-sce-14.jpg

  4. 选择安装协议装箱(SPQI)。协议装箱安装对话框出现。

    116425-install-sce-15.jpg

  5. 单击浏览显示挑选file对话框。

  6. 从类型下拉列表文件,请选择*.spqi。浏览到将安装的SPQI文件。

    注意:选择将安装的SPQI文件在SCE8000目录下。

    在本例中, SCABB_370PP25B3-SUS.spqi文件在SPQI文件被解压缩客户端机器的目录查找。

    116425-install-sce-16.jpg

  7. 单击 Open(打开)。协议装箱安装窗口出现并且显示该SPQI的文件您选择。请勿检查备份SCE的当前服务配置复选框。

    116425-install-sce-17.jpg

  8. 单击 完成。密码管理窗口出现。单击 Install

    116425-install-sce-18.jpg

  9. 验证协议装箱升级从24到25。

  10. 在CLI中,请检查将升级的SCE平台的版本。

    SCE#show version

    SML Application information is:
    Application file: /tffs0/release_.sli
    Application name: Engage SML Version 3.7.0 build 26 (Protocol Pack 25 build 3)
     Using Lib - PL_V3.7.0_B1
     Using Lib - Classifier_V3.7.0_B1
    Application help: Entry point of Engage
  11. 获取并且重新应用服务配置为了验证SCE和SCA BB控制台与协议装箱#25同步,构建3。

    116425-install-sce-19.jpg

协议装箱降级

要降级协议装箱,请重新安装与在与GUI的升级描述的进程的PQI (请从事)应用程序SCOS和PQI。这重置协议装箱对来与SCOS的默认版本。

常见问题

不匹配SCA PQB文件的BB和SCE版本之间

当SCA BB和SCE配置文件没有同步时,您也许发现此错误消息,当您设法运用从SCA BB的一种服务配置到SCE时。

116425-install-sce-20.jpg

此步骤描述如何清除协议装箱解决此问题。

  1. 打开SCA BB控制台。

  2. 点击Windows >首选

  3. 服务配置下,请选择协议装箱

  4. 点击清楚默认协议装箱

  5. 单击 Ok

    116425-install-sce-21.jpg

  6. 保证一个PQB文件存在SCE。

    116425-install-sce-22.jpg

  7. 获取并且运用在SCE上的服务配置从SCA BB控制台。

在SCE的缺少PQB文件

  1. 打开SCA BB控制台,并且导航对File>新建的服务配置

    116425-install-sce-23.jpg

  2. 单击全部功能作为系统操作模式。

    116425-install-sce-24.jpg

  3. 用鼠标右键单击从网络浏览器的SCE设备,并且选择运用服务配置

    116425-install-sce-25.jpg

  4. 输入用户和密码登陆到SCE,然后单击应用运用默认服务配置到SCE。

    116425-install-sce-26.jpg


Document ID: 116425